package com.zsc.bill.exception;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * @author zhuang
 */
@ResponseStatus(HttpStatus.UNAUTHORIZED)
public class ValidateException extends ApiException {

    public ValidateException() {
        super("验证码失效或错误!");
    }

    public ValidateException(String message) {
        super(message);
    }

    public ValidateException(String message, Throwable cause) {
        super(message, cause);
    }
}
