package com.zsc.bill.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 操作权限
 *
 * @author harry yao
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
@TableName("sys_authority")
public class Authority extends BaseEntity {
    /**
     * 权限名
     */
    public String name;
    /**
     * 启用状态
     */
    private Boolean enabled = true;
    /**
     * 备注
     */
    private String remark;
//
//    /**
//     * 部门管理
//     */
//    DEPT_QUERY,
//    DEPT_CREATE,
//    DEPT_UPDATE,
//    DEPT_DELETE,
//
//    /**
//     * 角色管理
//     */
//    ROLE_CREATE,
//    ROLE_QUERY,
//    ROLE_UPDATE,
//
//    /**
//     * 用户管理
//     */
//    USER_QUERY,
//    USER_CREATE,
//    USER_UPDATE,
//    USER_DELETE,
//    /**
//     * 票据管理
//     * */
//    BILL_QUERY,
//    BILL_CREATE,
//    BILL_UPDATE,
//    BILL_AUDIT,
//    BILL_CHOOSE_AUDITOR,
//    BILL_DELETE;
//
//
//    @Override
//    public String getAuthority() {
//        return name();
//    }
}
